Send interactive flow message
curl --request POST \
--url https://messenger-public-api.cogfy.com/messages/interactive/flow \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"from": "<string>",
"to": "<string>",
"interactive": {
"body": {
"text": "<string>"
},
"action": {
"parameters": {
"flow_cta": "<string>",
"flow_name": "<string>",
"flow_message_version": 3,
"flow_action": "navigate",
"flow_action_payload": {},
"flow_token": "<string>"
},
"name": "flow"
},
"type": "flow"
}
}
'import requests
url = "https://messenger-public-api.cogfy.com/messages/interactive/flow"
payload = {
"from": "<string>",
"to": "<string>",
"interactive": {
"body": { "text": "<string>" },
"action": {
"parameters": {
"flow_cta": "<string>",
"flow_name": "<string>",
"flow_message_version": 3,
"flow_action": "navigate",
"flow_action_payload": {},
"flow_token": "<string>"
},
"name": "flow"
},
"type": "flow"
}
}
headers = {
"api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '<string>',
to: '<string>',
interactive: {
body: JSON.stringify({text: '<string>'}),
action: {
parameters: {
flow_cta: '<string>',
flow_name: '<string>',
flow_message_version: 3,
flow_action: 'navigate',
flow_action_payload: {},
flow_token: '<string>'
},
name: 'flow'
},
type: 'flow'
}
})
};
fetch('https://messenger-public-api.cogfy.com/messages/interactive/flow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"code": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"code": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"code": 123
}Messages
Send interactive flow message
Sends a message with a button that opens a published WhatsApp flow.
Requires an open service window: the recipient must have messaged the business in the last 24 hours. Use POST /messages/template to reach recipients outside that window.
POST
/
messages
/
interactive
/
flow
Send interactive flow message
Authorizations
Body
application/json
Response
Message sent successfully
Id of the created message
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$⌘I